Skip to main content
`Ctrl`+`K`

# MatPartitioningViewImbalance

Display partitioning imbalance information.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningViewImbalance(MatPartitioning matp, IS partitioning)

Collective

## Input Parameters

- matp - the matrix partitioning object

- partitioning - the partitioning. For each local node this tells the MPI rank that that node is assigned to.

## Options Database Key

- -mat_partitioning_view_balance - view the balance information from the last partitioning

## See Also

Matrices, `Mat`, `MatPartitioning`, `MatPartitioningType`, `MatPartitioningApply()`, `MatPartitioningView()`

## Level

beginner

## Location

src/mat/graphops/partition/partition.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages